partman-auto-lvm (59ubuntu4) eoan; urgency=medium

  * Switch default VG name to vg$hostname, since $hostname-vg gets encoded
    doubledashed in /dev/mapper/. Also switch fallback VG name to
    vgubuntu. LP: #1782507

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Jun 2019 01:45:12 +0100

partman-auto-lvm (59ubuntu3) zesty; urgency=medium

  * lib/auto-lvm.sh: Pass method on to choose_recipe() and decode_recipe()
    when auto_lvm_prepare() is called. This allows crypto installs to be
    run as "crypto" method (as they should), rather than "lvm", and thus
    possibly different partitioning recipes. (LP: #1659448)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 26 Jan 2017 16:32:06 -0500

partman-auto-lvm (59ubuntu2) zesty; urgency=medium

  * Do not ask no_boot question on efi, amd64, i386, ppc64el/prep and
    s390x in addition to powerpc/prep. LP: #1639801

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 10 Nov 2016 12:34:48 +0000

partman-auto-lvm (59ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes: (LP: #1581595)
    - Accept autopartitioning automatically.
    - Change fallback VG name to Ubuntu.
    - Ask how much of the VG should be used for logical volumes, rather than
      unconditionally using it all.
    - Set locale to "C" when calling vgs for available free space.

 -- Dave Chiluk <chiluk@ubuntu.com>  Sun, 07 Feb 2016 22:17:30 +0000

partman-auto-lvm (59) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Sun, 07 Feb 2016 18:21:59 +0100

partman-auto-lvm (58) unstable; urgency=medium

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Mon, 10 Aug 2015 09:03:19 +0200

partman-auto-lvm (57) unstable; urgency=medium

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Thu, 02 Jul 2015 13:04:54 +0200

partman-auto-lvm (56ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Accept autopartitioning automatically.
    - Change fallback VG name to Ubuntu.
    - Ask how much of the VG should be used for logical volumes, rather than
      unconditionally using it all.
    - Set locale to "C" when calling vgs for available free space.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Nov 2014 09:49:09 +0000

partman-auto-lvm (56) unstable; urgency=low

  [ Updated translations ]
  * German (de.po) by Holger Wansing

 -- Christian Perrier <bubulle@debian.org>  Thu, 25 Sep 2014 07:25:21 +0200

partman-auto-lvm (55) unstable; urgency=low

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Estonian (et.po) by Mattias Põldaru
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Sep 2014 12:44:16 +0200

partman-auto-lvm (54ubuntu1) utopic; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Accept autopartitioning automatically.
    - Change fallback VG name to Ubuntu.
    - Ask how much of the VG should be used for logical volumes, rather than
      unconditionally using it all.
    - Set locale to "C" when calling vgs for available free space.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Aug 2014 17:52:42 +0100

partman-auto-lvm (54) unstable; urgency=high

  * Cope with parted 3.2 automatically creating a partition when creating a
    fresh loop label (closes: #757661).

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Aug 2014 11:23:07 +0100

partman-auto-lvm (53ubuntu1) utopic; urgency=medium

  * Resynchronise with Debian. Remaining changes:
    - Accept autopartitioning automatically.
    - Change fallback VG name to Ubuntu.
    - Ask how much of the VG should be used for logical volumes, rather than
      unconditionally using it all.
    - Set locale to "C" when calling vgs for available free space.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 07 Jul 2014 10:57:02 +0100

partman-auto-lvm (53) unstable; urgency=medium

  [ Updated translations ]
  * Hungarian (hu.po) by Judit Gyimesi
  * Tajik (tg.po) by Victor Ibragimov

 -- Cyril Brulebois <kibi@debian.org>  Fri, 14 Mar 2014 17:52:01 +0100

partman-auto-lvm (52) unstable; urgency=low

  [ Updated translations ]
  * Bosnian (bs.po) by Amila Valjevčić

 -- Christian Perrier <bubulle@debian.org>  Wed, 18 Dec 2013 21:13:31 +0100

partman-auto-lvm (51ubuntu1) trusty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Accept autopartitioning automatically.
    - Change fallback VG name to Ubuntu.
    - Ask how much of the VG should be used for logical volumes, rather than
      unconditionally using it all.
    - Set locale to "C" when calling vgs for available free space.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 21 Oct 2013 16:09:27 +0100

partman-auto-lvm (51) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sun, 08 Sep 2013 16:16:21 +0200

partman-auto-lvm (50ubuntu1) saucy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Accept autopartitioning automatically.
    - Change fallback VG name to Ubuntu.
    - Ask how much of the VG should be used for logical volumes, rather than
      unconditionally using it all.
    - Set locale to "C" when calling vgs for available free space.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 02 Aug 2013 11:37:55 +0100

partman-auto-lvm (50) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Remove debian/source/format. Any default is ok & no need to specify it.
  * Set debian source format to '3.0 (native)'.

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jul 2013 13:38:50 +0200

partman-auto-lvm (49ubuntu1) saucy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Accept autopartitioning automatically.
    - Change fallback VG name to Ubuntu.
    - Ask how much of the VG should be used for logical volumes, rather than
      unconditionally using it all.
    - Set locale to "C" when calling vgs for available free space.
  
  * No longer ubuntu delta, merged in Debian:
    - After creating partitions, wait for devices to settle and wipe
      left-over LVM from them. (Closes: #542441) (LP: #154086)
    - Append "-vg" to VG names derived from hostname. (LP: #1091788)
    - Ask for a different VG name, if it clashes with a device name. (Closes: #565947)
  
 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 28 May 2013 15:31:11 +0100

partman-auto-lvm (49) unstable; urgency=low

  * After creating partitions, wait for devices to settle and wipe
    left-over LVM from them. (Closes: #542441) (LP: #154086)
  * Append "-vg" to VG names derived from hostname. (LP: #1091788)
  * Ask for a different VG name, if it clashes with a device name. (Closes: #565947)
  * Adjust VCS fileds to canonical URLs.
  * Specify 3.0 (native) source format.
  * Bump compat to 9 (drops useless pysupport calls).
  * Add myself to uploaders.

 -- Dmitrijs Ledkovs <dmitrijs.ledkovs@canonical.com>  Thu, 23 May 2013 11:51:04 +0100

partman-auto-lvm (48) unstable; urgency=low

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar

 -- Christian Perrier <bubulle@debian.org>  Sat, 18 May 2013 12:34:23 +0200

partman-auto-lvm (47) unstable; urgency=low

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach

 -- Christian Perrier <bubulle@debian.org>  Wed, 12 Dec 2012 06:52:03 +0100

partman-auto-lvm (46ubuntu2) raring; urgency=low

  * Append "-vg" to VG names derived from hostname. (LP: #1091788)
  * Ask for a different VG name, if it clashes with a device name.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 04 Jan 2013 18:33:47 +0000

partman-auto-lvm (46ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Accept autopartitioning automatically.
    - Change fallback VG name to Ubuntu.
    - Ask how much of the VG should be used for logical volumes, rather than
      unconditionally using it all.
    - After creating partitions, wait for devices to settle and wipe
      left-over LVM from them.
    - Set locale to "C" when calling vgs for available free space.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sun, 21 Oct 2012 00:43:25 +0100

partman-auto-lvm (46) unstable; urgency=low

  * Add myself to Uploaders and remove (now inactive) Anton Zinoviev

  [ Updated translations ]
  * Asturian (ast.po) by ivarela

 -- Christian Perrier <bubulle@debian.org>  Mon, 15 Oct 2012 19:59:30 +0200

partman-auto-lvm (45ubuntu3) quantal; urgency=low

  * After creating partitions, wait for devices to settle and wipe
    left-over LVM from them. (Closes: #542441) (LP: #154086)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 10 Sep 2012 13:05:06 +0100

partman-auto-lvm (45ubuntu2) quantal; urgency=low

  * Set locale to "C" when calling vgs for available free space. (LP: #1045812)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 04 Sep 2012 17:07:23 +0100

partman-auto-lvm (45ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Accept autopartitioning automatically.
    - Change fallback VG name to Ubuntu.
    - Ask how much of the VG should be used for logical volumes, rather than
      unconditionally using it all.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Aug 2012 17:45:39 +0100

partman-auto-lvm (45) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Jun 2012 08:27:00 +0200

partman-auto-lvm (44ubuntu1) quantal; urgency=low

  * Resynchronise with Debian (update-dev change in version 43 fixes
    LP: #964957).  Remaining changes:
    - Accept autopartitioning automatically.
    - Change fallback VG name to Ubuntu.
    - Ask how much of the VG should be used for logical volumes, rather than
      unconditionally using it all.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Jun 2012 11:49:06 +0100

partman-auto-lvm (44) unstable; urgency=low

  * Team upload
  * Replace XC-Package-Type by Package-Type

  [ Updated translations ]
  * Welsh (cy.po) by Dafydd Tomos
  * Lithuanian (lt.po) by Rimas Kudelis
  * Latvian (lv.po) by Rūdolfs Mazurs

 -- Christian Perrier <bubulle@debian.org>  Sat, 16 Jun 2012 12:29:52 +0200

partman-auto-lvm (43) unstable; urgency=low

  [ dann frazier ]
  * Call update-dev --settle between creating lvs and accessing them

  [ Updated translations ]
  * bo (bo.po) by Tennom
  * Macedonian (mk.po) by Arangel Angov
  * Punjabi (Gurmukhi) (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)

 -- dann frazier <dannf@debian.org>  Wed, 02 May 2012 15:17:23 -0600

partman-auto-lvm (42ubuntu2) precise; urgency=low

  * Update Ubuntu-specific translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Apr 2012 11:49:16 +0100

partman-auto-lvm (42ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Accept autopartitioning automatically.
    - Change fallback VG name to Ubuntu.
    - Ask how much of the VG should be used for logical volumes, rather than
      unconditionally using it all.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 Mar 2012 18:13:10 +0100

partman-auto-lvm (42) unstable; urgency=low

  * Allow using a logical volume as /boot when partman-auto-lvm/no_boot=true
    Closes: #610377.

 -- dann frazier <dannf@debian.org>  Fri, 30 Mar 2012 11:03:16 -0600

partman-auto-lvm (41) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama Khayat
  * Asturian (ast.po) by Mikel González
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Holger Wansing
  * Estonian (et.po) by Mattias Põldaru
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Indonesian (id.po) by Mahyuddin Susanto
  * Icelandic (is.po) by Sveinn í Felli
  * Italian (it.po) by Milo Casagrande
  * Kannada (kn.po) by Prabodh C P
  * Korean (ko.po) by Changwoo Ryu
  * Macedonian (mk.po) by Arangel Angov
  * Polish (pl.po) by Marcin Owsiany
  * Romanian (ro.po) by Ioan Eugen Stan
  * Sinhala (si.po)
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik
  * Ukrainian (uk.po) by Borys Yanovych
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Otavio Salvador <otavio@debian.org>  Thu, 15 Mar 2012 14:55:21 -0300

partman-auto-lvm (40ubuntu2) precise; urgency=low

  * Update Ubuntu-specific translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Mar 2012 23:53:12 +0000

partman-auto-lvm (40ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Accept autopartitioning automatically.
    - Change fallback VG name to Ubuntu.
    - Ask how much of the VG should be used for logical volumes, rather than
      unconditionally using it all.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 May 2011 00:13:31 +0100

partman-auto-lvm (40) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Korean (ko.po) by Changwoo Ryu
  * Romanian (ro.po) by Eddy Petrișor
  * Northern Sami (se.po) by Børre Gaup
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Telugu (te.po) by Arjuna Rao Chavala
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Uyghur (ug.po) by Sahran

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Apr 2011 10:40:09 +0200

partman-auto-lvm (39ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Accept autopartitioning automatically.
    - Change fallback VG name to Ubuntu.
    - Ask how much of the VG should be used for logical volumes, rather than
      unconditionally using it all.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 31 Jan 2011 14:46:48 +0000

partman-auto-lvm (39) unstable; urgency=low

  [ Updated translations ]
  * Lao (lo.po) by Anousak Souphavanh
  * Northern Sami (se.po) by Børre Gaup
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Fri, 24 Dec 2010 20:17:28 -0200

partman-auto-lvm (38ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Accept autopartitioning automatically.
    - Change fallback VG name to Ubuntu.
    - Ask how much of the VG should be used for logical volumes, rather than
      unconditionally using it all.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 24 Dec 2010 17:37:22 +0000

partman-auto-lvm (38) unstable; urgency=low

  [ Colin Watson ]
  * Ensure that we're in an appropriate subdirectory of $DEVICES when
    decoding the recipe (LP: #538536; see partman-auto 91).

  [ Updated translations ]
  * Sinhala (si.po) by Danishka Navin

 -- Otavio Salvador <otavio@debian.org>  Tue, 16 Nov 2010 15:43:02 -0200

partman-auto-lvm (37ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Accept autopartitioning automatically.
    - Change fallback VG name to Ubuntu.
    - Ask how much of the VG should be used for logical volumes, rather than
      unconditionally using it all.
    - Ensure that we're in an appropriate subdirectory of $DEVICES when
      decoding the recipe.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Nov 2010 12:56:47 +0000

partman-auto-lvm (37) unstable; urgency=low

  [ Updated translations ]
  * Bengali (bn.po) by Israt Jahan
  * Catalan (ca.po) by Jordi Mallach
  * Icelandic (is.po) by Sveinn í Felli

 -- Otavio Salvador <otavio@debian.org>  Fri, 12 Nov 2010 16:19:26 -0200

partman-auto-lvm (36ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Accept autopartitioning automatically.
    - Change fallback VG name to Ubuntu.
    - Ask how much of the VG should be used for logical volumes, rather than
      unconditionally using it all.
    - Ensure that we're in an appropriate subdirectory of $DEVICES when
      decoding the recipe.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Oct 2010 15:09:25 +0100

partman-auto-lvm (36) unstable; urgency=low

  [ Colin Watson ]
  * Use 'dh $@ --options' rather than 'dh --options $@', for
    forward-compatibility with debhelper v8.

  [ Aurelien Jarno ]
  * Don't offer auto-lvm if LVM support is not available.

  [ Updated translations ]
  * Asturian (ast.po) by maacub
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Armin Beširović
  * Danish (da.po) by Jacob Sparre Andersen
  * Persian (fa.po) by Behrad Eslamifar
  * Finnish (fi.po) by Esko Arajärvi
  * Serbian (sr.po) by Karolina Kalic
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 23 Aug 2010 16:57:47 +0200

partman-auto-lvm (35) unstable; urgency=low

  [ Updated translations ]
  * Asturian (ast.po) by astur
  * Belarusian (be.po) by Viktar Siarheichyk
  * Danish (da.po) by Jacob Sparre Andersen
  * German (de.po) by Holger Wansing
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Persian (fa.po) by acathur
  * French (fr.po) by Christian Perrier
  * Hebrew (he.po) by Lior Kaplan
  * Central Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Macedonian (mk.po) by Arangel Angov
  * Marathi (mr.po) by Sampada
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by ioan-eugen stan
  * Slovenian (sl.po) by Vanja Cvelbar
  * Ukrainian (uk.po) by Borys Yanovych

 -- Christian Perrier <bubulle@debian.org>  Sun, 11 Jul 2010 18:41:37 +0200

partman-auto-lvm (34ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Accept autopartitioning automatically.
    - Change fallback VG name to Ubuntu.
    - Ask how much of the VG should be used for logical volumes, rather than
      unconditionally using it all.
    - Ensure that we're in an appropriate subdirectory of $DEVICES when
      decoding the recipe.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 May 2010 10:17:17 +0100

partman-auto-lvm (34) unstable; urgency=low

  [ Colin Watson ]
  * Upgrade to debhelper v7.
  * Merge from Ubuntu:
    - Ensure that there is always at least one primary partition after
      autopartitioning, considering only the non-LVM parts of the recipe.
    - Strip leading whitespace from output of 'vgs' (LP: #333349).
  * The automatic LVM envelope partition doesn't necessarily need to be
    primary.  /boot is probably a better candidate for being primary if
    nothing's explicitly specified, and ensure_primary will take care of
    that.

  [ Frans Pop ]
  * Remove no longer needed Lintian override for missing Standards-Version
    field.

  [ Updated translations ]
  * Asturian (ast.po) by Marcos Antonio Alvarez Costales
  * Belarusian (be.po) by Pavel Piatruk
  * Bengali (bn.po) by Israt Jahan
  * Danish (da.po) by Ask Hjorth Larsen
  * German (de.po) by Holger Wansing
  * Esperanto (eo.po) by Felipe Castro
  * Estonian (et.po) by Mattias Põldaru
  * Basque (eu.po) by Piarres Beobide
  * Hindi (hi.po)
  * Italian (it.po) by Milo Casagrande
  * Korean (ko.po) by Changwoo Ryu
  * Slovenian (sl.po) by Vanja Cvelbar
  * Simplified Chinese (zh_CN.po) by 苏运强

 -- Frans Pop <fjp@debian.org>  Mon, 22 Feb 2010 04:12:43 +0100

partman-auto-lvm (33ubuntu4) lucid; urgency=low

  * Update Ubuntu-specific translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Apr 2010 00:25:51 +0100

partman-auto-lvm (33ubuntu3) lucid; urgency=low

  * Don't force the envelope partition to be primary.  The consequence of
    this change should be that /boot ends up at the start of the disk again,
    where it belongs.
  * Ensure that we're in an appropriate subdirectory of $DEVICES when
    decoding the recipe (LP: #538536).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Mar 2010 16:08:04 +0100

partman-auto-lvm (33ubuntu2) karmic; urgency=low

  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Sep 2009 13:17:09 +0100

partman-auto-lvm (33ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Accept autopartitioning automatically.
    - Change fallback VG name to Ubuntu.
    - Ensure that there is always at least one primary partition after
      autopartitioning, considering only the non-LVM parts of the recipe.
    - Ask how much of the VG should be used for logical volumes, rather than
      unconditionally using it all.
    - Strip leading whitespace from output of 'vgs'.
  * Make partman-auto-lvm/guided_size preseedable.
  * Update translations of Ubuntu-specific strings from my last conveniently
    available Launchpad export (2009-04-16); we'll update again after Karmic
    translations open.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Jun 2009 15:11:14 +0100

partman-auto-lvm (33) unstable; urgency=low

  [ Frans Pop ]
  * Remove myself as uploader.

  [ Colin Watson ]
  * Merge from Ubuntu:
    - Use 'update-dev --settle' rather than 'update-dev' after loading
      dm-mod and lvm-mod. Requires di-utils 1.66.

  [ Updated translations ]
  * Bengali (bn.po) by Md. Rezwan Shahid
  * Estonian (et.po) by Mattias Põldaru
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by marce villarino
  * Hindi (hi.po) by Kumar Appaiah
  * Italian (it.po) by Milo Casagrande
  * Kazakh (kk.po) by Dauren Sarsenov
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Tagalog (tl.po) by Eric Pareja

 -- Christian Perrier <bubulle@debian.org>  Fri, 12 Jun 2009 07:07:51 +0200

partman-auto-lvm (32ubuntu5) jaunty; urgency=low

  * Use 'update-dev --settle' rather than 'update-dev' after loading dm-mod
    and lvm-mod. Requires di-utils 1.66.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Mar 2009 16:57:49 +0000

partman-auto-lvm (32ubuntu4) jaunty; urgency=low

  * Cope with rounding errors in guided_size; if the value we convert back
    from human-readable notation is in the round-off range at either end,
    just use the appropriate extreme (LP: #334648).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Feb 2009 04:48:34 +0000

partman-auto-lvm (32ubuntu3) jaunty; urgency=low

  * Remove "Please try again" from templates, per Christian Perrier.
  * Talk about "Amount of volume group" rather than "Amount of disk space",
    per Frans Pop.
  * Strip leading whitespace from output of 'vgs' (LP: #333349).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Feb 2009 16:39:00 +0000

partman-auto-lvm (32ubuntu2) jaunty; urgency=low

  * Ask how much of the VG should be used for logical volumes, rather than
    unconditionally using it all (LP: #160156).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Feb 2009 10:51:20 +0000

partman-auto-lvm (32ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Accept autopartitioning automatically.
    - Change fallback VG name to Ubuntu.
    - Ensure that there is always at least one primary partition after
      autopartitioning, considering only the non-LVM parts of the recipe.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Feb 2009 13:39:47 +0000

partman-auto-lvm (32) unstable; urgency=low

  * Use "-1" instead of "1000000000" to indicate unlimited partition size in
    partman recipes. This avoids an error when setting up LVM on disks larger
    than 1TB. Requires partman-auto (84). Closes: #510544.

 -- Frans Pop <fjp@debian.org>  Mon, 12 Jan 2009 22:14:14 +0100

partman-auto-lvm (31) unstable; urgency=low

  * perform_recipe_by_lvm: get free_size in SI units to match further
    calculation of partition/LV sizes, otherwise partition/LV sizes are
    calculated smaller than wanted which results in the last (swap)
    partition getting too big as it gets all remaining free space. Thanks
    to Ferenc Wagner for his analysis of this issue. Closes: #510544.

 -- Frans Pop <fjp@debian.org>  Sat, 10 Jan 2009 22:44:41 +0000

partman-auto-lvm (30ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Accept autopartitioning automatically.
    - Change fallback VG name to Ubuntu.
    - Ensure that there is always at least one primary partition after
      autopartitioning, considering only the non-LVM parts of the recipe.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 15 Nov 2008 00:18:34 +0000

partman-auto-lvm (30) unstable; urgency=low

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Bosnian (bs.po) by Armin Besirovic
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po)
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Esko Arajärvi
  * Hebrew (he.po) by Omer Zak
  * Hindi (hi.po) by Kumar Appaiah
  * Croatian (hr.po) by Josip Rodin
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Georgian (ka.po) by Aiet Kolkhi
  * Central Khmer (km.po) by KHOEM Sokhem
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Malayalam (ml.po) by പ്രവീണണ്‍ അരിമ്പ്രത്തൊടിയിലല്‍
  * Marathi (mr.po) by Sampada
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Slovenian (sl.po) by Vanja Cvelbar
  * Albanian (sq.po) by Elian Myftiu
  * Serbian (sr.po) by Veselin Mijušković
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Deng Xiyue

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 21:01:26 -0300

partman-auto-lvm (29) unstable; urgency=low

  [ Christian Perrier ]
  * Add translation sublevel markers to debconf templates.

  [ Jérémy Bobbio ]
  * Use convert_to_megabytes() in auto_lvm_prepare().
    Depends: partman-base (>= 125)
  * Replace $devfs_pvdevices by $pv_devices in auto_lvm_prepare() and remove
    devfs resolving in autopartition-lvm.
    Depends: partman-auto (>= 81)
  * Call get_last_free_partition_infos() after auto_init_disk().
    Depends: partman-auto (>= 81)
  * Use auto_init_disks() instead of auto_init_disk().
    Depends: partman-auto (>= 81)
  * Add support for preseeding logical volume names directly using
    lv_name{ <name> } in the recipe.  (Closes: #484272)
  * Add support for preseeding multiple disks, specifiying explicit partitions
    to hold Physical Volumes, specifying Volume Group names and specifiying
    in which VG Logical Volumes should be created.  (Closes: #385220, #462396)
    Based on a patch by Grégory Oestreicher.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * Dzongkha (dz.po) by Jurmey Rabgay(Bongop) (DIT,BHUTAN)
  * Greek, Modern (el.po) by Emmanuel Galatoulas
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Gujarati (gu.po) by Kartik Mistry
  * Italian (it.po) by Milo Casagrande
  * Japanese (ja.po) by Kenshi Muto
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Marathi (mr.po) by Sampada
  * Norwegian Bokmål (nb.po) by Hans Fredrik Nordhaug
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 25 Aug 2008 21:05:34 +0200

partman-auto-lvm (28) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Update perform_recipe_by_lvm to use extents when calling lv_create().
    Depends: partman-lvm (>= 62)
  * auto_lvm_prepare() now returns 255 instead of 30 for backup like
    the rest of partman.
  * Propagate auto_lvm_prepare() error code in autopartition-lvm.
  * Correctly handle GOBACK in
    automatically_partition/some_device_lvm/do_option.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Italian (it.po) by Milo Casagrande
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Turkish (tr.po) by Mert Dirik
	
 -- Otavio Salvador <otavio@debian.org>  Tue, 05 Aug 2008 13:44:53 -0300

partman-auto-lvm (27ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Accept autopartitioning automatically.
    - Change fallback VG name to Ubuntu.
    - Ensure that there is always at least one primary partition after
      autopartitioning, considering only the non-LVM parts of the recipe.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 May 2008 09:42:57 +0100

partman-auto-lvm (27) unstable; urgency=low

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Hungarian (hu.po) by SZERVÁC Attila
  * Kurdish (ku.po) by Erdal Ronahi
  * Marathi (mr.po) by Sampada
  * Panjabi (pa.po) by Amanpreet Singh Alam

 -- Otavio Salvador <otavio@debian.org>  Thu, 08 May 2008 00:54:09 -0300

partman-auto-lvm (26) unstable; urgency=low

  [ Frans Pop ]
  * Create envelope partition on primary partition if possible.
    Requires partman-auto (>= 74).
  * Remove dependency on lvm2-udeb as partman-lvm already depends on it.

  [ Updated translations ]
  * Finnish (fi.po) by Esko Arajärvi
  * Hindi (hi.po) by Kumar Appaiah
  * Indonesian (id.po) by Arief S Fitrianto
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Turkish (tr.po) by Recai Oktaş
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Fri, 15 Feb 2008 15:32:55 -0200

partman-auto-lvm (25) unstable; urgency=low

  [ Frans Pop ]
  * Lock devices that are used for physical volumes, as is done when setting
    up LVM using manual partitioning. Requires: partman-lvm (>= 58).
  * auto-lvm.sh: avoid double sourcing of base.sh.
  * auto-lvm.sh: call device_cleanup_partitions() to ensure we remove obsolete
    partition info after committing changes. Requires: partman-base (>= 115).

  [ Colin Watson ]
  * Don't emit partman-auto-lvm/no_boot if / is outside LVM (e.g. a system
    with the operating system on a relatively small plain block device and a
    large LVM area for services). Reported by Nick Moffitt.

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Korean (ko.po) by Changwoo Ryu
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Portuguese (pt.po) by Miguel Figueiredo

 -- Frans Pop <fjp@debian.org>  Sat, 29 Dec 2007 22:10:54 +0100

partman-auto-lvm (24ubuntu2) hardy; urgency=low

  * Ensure that there is always at least one primary partition after
    autopartitioning, considering only the non-LVM parts of the recipe.
    Requires partman-auto (>= 73ubuntu4).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 07 Mar 2008 00:29:41 +0000

partman-auto-lvm (24ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Accept autopartitioning automatically.
    - Change fallback VG name to Ubuntu.
  * Set Vcs-Bzr for Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 12 Dec 2007 12:11:37 +0000

partman-auto-lvm (24) unstable; urgency=low

  * Move deletion of SVN directories to install-rc script.
  * Improve the way install-rc is called.
  * Moved definitions.sh to ./lib/base.sh.
  * Moved recipes.sh and auto-shared.sh to ./lib/; renamed wipe_disk() to
    auto_init_disk().
  * Moved lvm_tools.sh to ./lib/lvm-base.sh.
  * Move auto-lvm_tools.sh to ./lib/auto-lvm.sh.
  * Change priority to optional to allow dynamic loading by partman-base.
  * Requires: partman-base (>= 114); partman-lvm (>= 57);
              partman-auto (>= 73)

  [ Updated translations ]
  * Belarusian (be.po) by Hleb Rubanau
  * Bengali (bn.po) by Jamil Ahmed
  * Danish (da.po) by Claus Hindsgaul
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrișor
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Tue, 11 Dec 2007 14:05:15 +0100

partman-auto-lvm (23ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Accept autopartitioning automatically.
    - Change fallback VG name to Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 May 2007 12:09:24 +0200

partman-auto-lvm (23) unstable; urgency=low

  [ David Härdeman ]
  * Pass the device as an explicit argument to wipe_disk, requires
    partman-auto 69

  [ Updated translations ]
  * Basque (eu.po) by Piarres Beobide

 -- Frans Pop <fjp@debian.org>  Thu, 26 Apr 2007 12:01:23 +0200

partman-auto-lvm (22ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Accept autopartitioning automatically.
    - Change fallback VG name to Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Apr 2007 00:00:24 +0100

partman-auto-lvm (22) unstable; urgency=low

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan
  * Malayalam (ml.po) by Praveen A

 -- Frans Pop <fjp@debian.org>  Tue, 27 Feb 2007 18:16:15 +0100

partman-auto-lvm (21) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Danish (da.po) by Claus Hindsgaul
  * Esperanto (eo.po) by Serge Leblanc
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Aigars Mahinovs
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Wed, 31 Jan 2007 12:20:12 +0100

partman-auto-lvm (20ubuntu2) feisty; urgency=low

  * automatically_partition/some_device_lvm/do_option: Propagate error code
    from autopartition-lvm.
  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  2 Mar 2007 13:49:18 +0000

partman-auto-lvm (20ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Accept autopartitioning automatically.
    - Change fallback VG name to Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Dec 2006 11:39:19 +0000

partman-auto-lvm (20) unstable; urgency=low

  * Double hyphens in VG/LV names for the device name under /dev/mapper.
    Closes: #402410. Thanks to Mike Hommey for analysis.

  [ Updated translations ]
  * Slovenian (sl.po) by Matej Kovačič

 -- Frans Pop <fjp@debian.org>  Tue, 12 Dec 2006 11:39:07 +0100

partman-auto-lvm (19) unstable; urgency=low

  * Skip check for /boot partition for powerpc/prep systems as they have the
    kernel and initrd in the prep partition.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by Jacobo Tarrio
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by rizoye-xerzi
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Panjabi (pa.po) by A S Alam
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Slovenian (sl.po) by Matej Kovačič

 -- Frans Pop <fjp@debian.org>  Tue,  5 Dec 2006 23:28:24 +0100

partman-auto-lvm (18ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Accept autopartitioning automatically.
    - Change fallback VG name to Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 23 Nov 2006 13:45:54 +0000

partman-auto-lvm (18) unstable; urgency=low

  [ David Härdeman ]
  * Use hostname as the default VG name, fall back to Debian if not set.
    Closes: #381244.

  [ Updated translations ]
  * Belarusian (be.po) by Andrei Darashenka
  * Basque (eu.po) by Piarres Beobide
  * Hindi (hi.po) by Nishant Sharma
  * Indonesian (id.po) by Arief S Fitrianto
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Albanian (sq.po) by Elian Myftiu
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Ming Hua
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Tue, 24 Oct 2006 15:47:07 +0200

partman-auto-lvm (17) unstable; urgency=low

  * Display selected target for partitioning when choosing a recipe.

  [ Updated translations ]
  * Bengali (bn.po) by Jamil Ahmed
  * Catalan (ca.po) by Jordi Mallach
  * Greek, Modern (1453-) (el.po) by QUAD-nrg.net
  * Finnish (fi.po) by Tapio Lehtonen
  * Hindi (hi.po) by Nishant Sharma
  * Tamil (ta.po) by Damodharan Rajalingam

 -- Frans Pop <fjp@debian.org>  Sat, 14 Oct 2006 02:10:36 +0200

partman-auto-lvm (16) unstable; urgency=low

  * Show confirmation dialog before making changes to the partition table.
    Closes: #368633.
  * Change description for method.
  * Avoid double sourcing of common functions.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম)
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Greek (el.po) by quad-nrg.net
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Croatian (hr.po) by Josip Rodin
  * Hungarian (hu.po) by SZERVÁC Attila
  * Italian (it.po) by Stefano Canepa
  * Japanese (ja.po) by Kenshi Muto
  * Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Macedonian (mk.po) by Georgi Stanojevski
  * Norwegian Bokmal (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Vietnamese (vi.po) by Clytie Siddall
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Wed, 11 Oct 2006 04:38:01 +0200

partman-auto-lvm (15) unstable; urgency=low

  [ David Härdeman ]
  * Fix broken <Go Back> logic.

  [ Frans Pop ]
  * Wipe disk only after selecting a recipe to allow backing out.
  * Remove standards-version and add Lintian override for it.
  * Add dependency for debconf.

  [ Updated translations ]
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae park
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Frans Pop <fjp@debian.org>  Fri, 15 Sep 2006 06:27:10 +0200

partman-auto-lvm (14) unstable; urgency=low

  [ David Härdeman ]
  * Use the lvm wiping functionality from partman-auto >= 55
  * Do not suggest part'ing RAID/LVM volumes
  * Make sure the /boot partition is not marked lvmok. Closes: #350450
  * Move most of the autopartition-lvm code to a separate file to allow
    more code sharing between autopartition-lvm and autopartition-crypto
  * Adapt to partman-auto two-level menu change

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Gujarati (gu.po) by Kartik Mistry
  * Hebrew (he.po) by Lior Kaplan
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Sunjae park
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Macedonian (mk.po) by Georgi Stanojevski
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Panjabi (pa.po) by A S Alam
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Northern Sami (se.po) by Børre Gaup
  * Slovak (sk.po) by Peter Mann
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Thu, 31 Aug 2006 17:18:31 -0400

partman-auto-lvm (13ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.
  * Fix up changelog history as best I can.
  * Revert to using stop_parted_server and restart_partman, as in Debian. If
    it breaks again (see 5ubuntu2 changelog) then we should investigate
    further.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  3 Jul 2006 13:59:43 +0100

partman-auto-lvm (13) unstable; urgency=low

  * Support preseeding of partman-auto-lvm/disk. Closes: #375265.

 -- Frans Pop <fjp@debian.org>  Mon, 26 Jun 2006 12:05:15 +0200

partman-auto-lvm (12) unstable; urgency=low

  * Use new function pv_on_device to check for existing PVs. Closes: #375002.
    (needs partman-lvm 40)

  [ Updated translations ]
  * Estonian (et.po) by Siim Põder
  * Korean (ko.po) by Sunjae park
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Portuguese (pt.po) by Miguel Figueiredo
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Recai Oktaş

 -- Frans Pop <fjp@debian.org>  Fri, 23 Jun 2006 19:21:51 +0200

partman-auto-lvm (11) unstable; urgency=low

  [ Christian Perrier ]
  * Fix English in templates. Thanks to Jens Seidel.
    Unfuzzy translations.

  [ David Härdeman ]
  * Move lvm_tools.sh to partman-lvm, change dependencies accordingly.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po)
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Hungarian (hu.po) by SZERVÑC Attila
  * Georgian (ka.po) by Aiet Kolkhi
  * Khmer (km.po) by Leang Chumsoben
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Macedonian (mk.po) by Georgi Stanojevski
  * Nepali (ne.po) by Shiva Pokharel
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Portuguese (pt.po) by Miguel Figueiredo
  * Northern Sami (se.po) by Børre Gaup
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Čuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Tamil (ta.po) by Damodharan Rajalingam
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Joey Hess <joeyh@debian.org>  Mon, 29 May 2006 18:22:53 -0400

partman-auto-lvm (10) unstable; urgency=low

  * If there are no recipes that support LVM, then don't offer auto-lvm.
    Requires partman-auto (50).
  * Take definition for /boot partition from regular recipes; if no /boot
    partition is wanted for regular auto partitioning, it can be marked
    $defaultignore. Requires partman-auto (51).
  * Add (probably redundant) check that disk is usable after wiping it.
  * Add myself to uploaders.

  [ Updated translations ]
  * Bulgarian (bg.po) by Ognyan Kulev
  * Bengali (bn.po) by Baishampayan Ghose
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Welsh (cy.po) by Dafydd Harries
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Irish (ga.po) by Kevin Patrick Scannell
  * Galician (gl.po) by Jacobo Tarrio
  * Hindi (hi.po) by Nishant Sharma
  * Hungarian (hu.po) by SZERVÑC Attila
  * Indonesian (id.po) by Parlin Imanuel Toh
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Khmer (km.po) by hok kakada
  * Macedonian (mk.po) by Georgi Stanojevski
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Northern Sami (se.po) by Børre Gaup
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Cuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Damodharan Rajalingam
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Frans Pop <fjp@debian.org>  Sun,  9 Apr 2006 22:47:40 +0200

partman-auto-lvm (9ubuntu2) dapper; urgency=low

  * Make choices printf one device entry if device is specified as option.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 02 Mar 2006 17:11:53 +0100

partman-auto-lvm (9ubuntu1) dapper; urgency=low

  * Resync with Debian.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 16 Feb 2006 07:00:01 +0100

partman-auto-lvm (9) unstable; urgency=low

  * Fix code that checks if a /boot partition is already present in the
    selected scheme. Closes: #350444.
  * Improve handling of the VG name question. Thanks to Fabio M. Di Nitto.
  * Bail out in situations we cannot really deal with currently.
    Closes: #347479.
  * Use tab for indentation.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Ognyan Kulev
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hungarian (hu.po) by SZERVÑC Attila
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae park
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Georgi Stanojevski
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Punjabi (Gurmukhi) (pa_IN.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Matej Kovačič
  * Swedish (sv.po) by Daniel Nylander
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Frans Pop <fjp@debian.org>  Mon, 13 Feb 2006 12:41:56 +0100

partman-auto-lvm (8ubuntu2) dapper; urgency=low

  [ Frans Pop ]
  * Improve handling of the VG name question. Thanks to Fabio M. Di Nitto.
  * Bail out in situations we cannot really deal with currently.
    Closes: #347479.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 10 Feb 2006 07:09:40 +0100

partman-auto-lvm (8ubuntu1) dapper; urgency=low

  [ Fabio M. Di Nitto ]
  * Sync with Debian svn as of 2006-02-01 10:29 UTC.

  [ Frans Pop ]
  * Fix code that checks if a /boot partition is already present in the
    selected scheme. Closes: #350444.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 01 Feb 2006 11:29:16 +0100

partman-auto-lvm (8) unstable; urgency=low

  [ Colin Watson ]
  * The new update-dev that handles udev has been around for a while, so
    drop old calls to udevstart/udevsynthesize.
  * Discard error messages from trying to load dm-mod and lvm-mod modules
    (https://launchpad.net/distros/ubuntu/+source/partman-auto-lvm/+bug/29257).

  [ Frans Pop ]
  * Move some_device_lvm from 40 to 60 so autopartitioning without LVM is
    listed before autopartitioning with LVM (closes: #348648).

  [ Updated translations ]
  * Bulgarian (bg.po) by Ognyan Kulev
  * Catalan (ca.po) by Jordi Mallach
  * Greek, Modern (1453-) (el.po) by Konstantinos Margaritis
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * Hindi (hi.po) by Nishant Sharma
  * Indonesian (id.po) by Parlin Imanuel Toh
  * Korean (ko.po) by Sunjae park
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Georgi Stanojevski
  * Dutch (nl.po) by Bart Cornelis
  * Punjabi (Gurmukhi) (pa_IN.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Romanian (ro.po) by Eddy Petrişor
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Cuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Tue, 24 Jan 2006 21:52:56 +0100

partman-auto-lvm (7ubuntu1) dapper; urgency=low

  [ Fabio M. Di Nitto ]
  * Sync with Debian svn as of 2006-01-13 08:35 UTC.

  [ Colin Watson ]
  * The new update-dev that handles udev has been around for a while, so
    drop old calls to udevstart/udevsynthesize.

  [ Frans Pop ]
  * Move some_device_lvm from 40 to 60 so autopartitioning without LVM is
    listed before autopartitioning with LVM (closes: #348648).

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 13 Jan 2006 09:55:57 +0100

partman-auto-lvm (7) unstable; urgency=low

  * Set priority to standard so it will be available in standard installs.

 -- Joey Hess <joeyh@debian.org>  Wed, 14 Dec 2005 17:00:01 -0500

partman-auto-lvm (6) unstable; urgency=low

  [ Colin Watson ]
  * Call update-dev if available. udevstart/udevsynthesize calls will be
    removed from here soon.

  [ Fabio M. Di Nitto ]
  * Start implementing bits required to avoid code duplication with
    partman-auto as per discussion on debian-boot mailing list.
    (See http://lists.debian.org/debian-boot/2005/10/msg00842.html)
  * Remove arch barrier from automatically_partition/some_device_lvm/choices.
  * Switch the code to use lvmok tag.
  * Fix free_space calculation to not assume a totally empty disk.
  * Use wipe_disk, create_primary_partitions and create_partitions common
    function.
  * Move recipe check before performing any operation on disk and add a
    template to show the error.
  * Few lines of code cleanup and more comments on what's left.
  * Depends: partman-auto (46) for auto-shared.sh
  * Fix call to update-dev.

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae park
  * Latvian (lv.po) by Aigars Mahinovs
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Swedish (sv.po) by Daniel Nylander
  * Tagalog (tl.po) by Eric Pareja
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Dec 2005 21:57:09 -0500

partman-auto-lvm (5ubuntu7) dapper; urgency=low

  [ Fabio M. Di Nitto ]
  * Autoaccept partitioning.
  * Merge update-dev stuff from Debian.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 01 Dec 2005 12:50:01 +0100

partman-auto-lvm (5ubuntu6) dapper; urgency=low

  [ Fabio M. Di Nitto ]
  * Use auto-shared.sh

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 30 Nov 2005 15:27:39 +0100

partman-auto-lvm (5ubuntu5) dapper; urgency=low

  [ Fabio M. Di Nitto ]
  * Merge common code with partman-auto:
    - Use wipe_disk, create_primary_partitions and create_partitions common
      function.
  * Move recipe check before performing any operation on disk and add a
    template to show the error.
  * Few lines of code cleanup and more comments on what's left.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 30 Nov 2005 10:43:07 +0100

partman-auto-lvm (5ubuntu4) dapper; urgency=low

  [ Fabio M. Di Nitto ]
  * Fix free_space calculation to not assume a totally empty disk.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 30 Nov 2005 10:07:45 +0100

partman-auto-lvm (5ubuntu3) dapper; urgency=low

  [ Fabio M. Di Nitto ]
  * Switch the code to use lvmok tag.
  * White space cleanups.
  * Resync partition creation functions from partman-auto. (this is still
    duplicate code!).

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 28 Nov 2005 09:35:08 +0100

partman-auto-lvm (5ubuntu2) dapper; urgency=low

  [ Fabio M. Di Nitto ]
  * Remove arch barrier from automatically_partition/some_device_lvm/choices.
    NOTE: porters should now edit partman-auto recipes to enable partitions on
          LVM using the appropriate tag or partmat-auto-lvm will just behave
          like partman-auto.
  * Revert Colin restart partman code to 2ubuntu8 version.
    For some reasons Colin's code doesn't restart partman in such a way to
    reload it as it should. There are two side effects to this: 1) the LVM
    volumes are not presented properly; 2) confirming the changes will lead to
    failures while formatting the volumes.
    This problem needs investigation.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 25 Nov 2005 06:54:54 +0100

partman-auto-lvm (5ubuntu1) dapper; urgency=low

  [ Fabio M. Di Nitto ]
  * Resyncronize with Debian:
    - Change default volume group name to Ubuntu (pure branding)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 25 Nov 2005 06:30:15 +0100

partman-auto-lvm (5) unstable; urgency=low

  * Make automatically_partition/some_device_lvm/* executable.

  [ Updated translations ]
  * Romanian (ro.po) by Eddy Petrişor

 -- Colin Watson <cjwatson@debian.org>  Thu, 24 Nov 2005 12:35:10 +0000

partman-auto-lvm (4) unstable; urgency=low

  * If udevstart is missing, try udevsynthesize instead to try to get udev
    to create pending device nodes.

  [ Updated translations ]
  * French (fr.po) by Christian Perrier
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes

 -- Colin Watson <cjwatson@debian.org>  Sun, 20 Nov 2005 12:30:13 +0000

partman-auto-lvm (3) unstable; urgency=low

  [ Frans Pop ]
  * Changed dependency from partman to partman-base.

  [ Fabio M. Di Nitto ]
  * Rename new_VG to VG_create (name more similar to vgcreate).
  * Avoid useless loop in VG_create.
  * Rename detach_PV to VG_reduce.
  * Rename attach_PV to VG_extend.
  * Rename new_LV to LV_create.
  * Rename delete_LV to LV_remove.
  * Flush udev queue in vg_all_free/do_option otherwise the devices might
    not be there yet.

  [ Joey Hess ]
  * Use log-output.
  * Merge remainder of Ubuntu patches from Fabio and Colin. Some manual
    merging due to other changes and the patch including some of the
    changes listed above. The other changes in this patch follow.

  [ Colin Watson ]
   * Disable ourselves on powerpc (closes: Ubuntu #14438).
   * Disable ourselves on powerpc in a slightly more effective way.

  [ Fabio M. Di Nitto ]
   * Add 40 some_device_lvm based on partman-auto counterpart.
   NOTE: all the next changes will make partman-auto-lvm useful only with
   lvm2 and the lvm_tools.sh API rename is done to keep a bit of consistency
   with what real lvm2 tools actually do.
   * Use vgs to simplify VG_list (lvm_tools.sh).
   * Use pvs to simplify VG_of_PV.
   * Simplify VG_reduce.
   * Implement the "full" option in LV_create.
   * Cleanup LV_list.
   NOTE: the following change requires partman-auto-41ubuntu3 or higher.
   * Use expand_scheme and clean_method from recipe.sh to remove duplicate
     code.
   * expand_scheme needs a valid free_size value to return a proper $scheme
     back. Also note the size hack in perform_recipe_by_lvm due to lvm
     rounding issues. In order to fill up the space, the last partition will
     be created using all the free_size and a 3% of the overall space is
     reserved to ensure that the last partition is big enough.
     There might be better methods to calculate, but right now this one seems
     to fullfil its task.
   * Map devfs names to real devices in vg_all_free/do_option since lvm2
     tools don't like devfs names.
   * Create a separate /boot and a vg on the selected device.
   * Allign vg creation between vg_all_free and some_device_lvm.
   * Add notes on scheme manipulation.
   * Remove wrong call to clean_method in perform_recipe_by_lvm.
   * Fix device mapper naming.
   * Restart partman at the end of the process. This is required to get some
     LVM info right.
   * Add missing noheadings to LV_create.
   * Strip the decimal in LV_create.
   * Try to give more sensible names to partitions that are not mounted.
   * Add db_progress info to perform_recipe_by_lvm.
   * Fix partition size calculation using kbytes instead of Mbytes.
     This operation removes any weird hack in calculating the partitions.
   * brownpaper bag.. it's ok to switch to kbytes.. but not everything can
     handle so big numbers.
   * Remove "Use free space option".
     (see http://bugzilla.ubuntu.com/show_bug.cgi?id=15017)

  [ Joey Hess ]
  * Add lvm2-udeb to deps since this now needs lvm2
  * Version dependency on partman-auto due to above changes.
  * Remove currently dead code for vg_all_free, and add TODO so we don't
    forget to try to fix it sometime.

  [ Colin Watson ]
  * Use 'rm -f' rather than more awkward test-then-remove constructions.
  * Use stop_parted_server and restart_partman functions from partman-base
    73 instead of duplicating the code.

  [ Frans Pop ]
  * Use gpt instead of msdos disklabel for disks larger than 2TB.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Ognyan Kulev
  * Bengali (bn.po) by Baishampayan Ghose
  * Catalan (ca.po) by Guillem Jover
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Greek, Modern (1453-) (el.po) by Greek Translation Team
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Persian (fa.po) by Arash Bijanzadeh
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Indonesian (id.po) by Arief S Fitrianto
  * Icelandic (is.po) by David Steinn Geirsson
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Macedonian (mk.po) by Georgi Stanojevski
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po)
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Čuhalev
  * Swedish (sv.po) by Daniel Nylander
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Joey Hess <joeyh@debian.org>  Tue, 15 Nov 2005 19:25:46 -0500

partman-auto-lvm (2ubuntu8) breezy; urgency=low

  The "Release Notes" aren't enough release.

  * Remove "Use free space option".

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 06 Oct 2005 11:29:35 +0200

partman-auto-lvm (2ubuntu7) breezy; urgency=low

  * Update French translation (thanks, Sebastien Bacher).
  * Update Ubuntu-specific translations from Rosetta: Greek, Spanish,
    Finnish, Hungarian, Slovak, Swedish.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  4 Oct 2005 18:07:14 +0100

partman-auto-lvm (2ubuntu6) breezy; urgency=low

  * Update Brazilian Portuguese translation (thanks, André Moraes; closes:
    Ubuntu #15089).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Sep 2005 09:07:22 +0100

partman-auto-lvm (2ubuntu5) breezy; urgency=low

  * Disable ourselves on powerpc in a slightly more effective way.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 12 Sep 2005 18:45:06 +0100

partman-auto-lvm (2ubuntu4) breezy; urgency=low

  * Disable ourselves on powerpc (closes: Ubuntu #14438).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  5 Sep 2005 17:05:54 +0100

partman-auto-lvm (2ubuntu3) breezy; urgency=low

  * Fabio M. Di Nitto
    - brownpaper bag.. it's ok to switch to kbytes.. but not everything can
      handle so big numbers.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 08 Jul 2005 11:15:28 +0200

partman-auto-lvm (2ubuntu2) breezy; urgency=low

  * Fabio M. Di Nitto
    - Try to give more sensible names to partitions that are not mounted.
    - Add db_progress info to perform_recipe_by_lvm.
    - Fix partition size calculation using kbytes instead of Mbytes.
      This operation removes any weird hack in calculating the partitions.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 08 Jul 2005 08:44:25 +0200

partman-auto-lvm (2ubuntu1) breezy; urgency=low

  * Fabio M. Di Nitto

    ***********************************************************
    *                                                         *
    *    EXTREMELY EXPERIMENTAL CHANGES! HANDLE WITH CARE!    *
    *                                                         *
    ***********************************************************

    - Ubuntu branding for the master template file.
    - Add 40 some_device_lvm based on partman-auto counterpart.
    NOTE: all the next changes will make partman-auto-lvm useful only with
    lvm2 and the lvm_tools.sh API rename is done to keep a bit of consistency
    with what real lvm2 tools actually do.
    - Use vgs to simplify VG_list (lvm_tools.sh).
    - Rename new_VG to VG_create (name more similare to vgcreate).
    - Avoid useless loop in VG_create.
    - Use pvs to simplify VG_of_PV.
    - Rename detach_PV to VG_reduce.
    - Simplify VG_reduce.
    - Rename attach_PV to VG_extend.
    - Rename new_LV to LV_create.
    - Implement the "full" option in LV_create.
    - Rename delete_LV to LV_remove.
    - Cleanup LV_list.
    NOTE: the following change requires partman-auto-41ubuntu3 or higher.
    - Use expand_scheme and clean_method from recipe.sh to remove duplicate
      code.
    - expand_scheme needs a valid free_size value to return a proper $scheme
      back. Also note the size hack in perform_recipe_by_lvm due to lvm
      rounding issues. In order to fill up the space, the last partition will
      be created using all the free_size and a 3% of the overall space is
      reserved to ensure that the last partition is big enough.
      There might be better methods to calculate, but right now this one seems
      to fullfil its task.
    - Flush udev queue in vg_all_free/do_option otherwise the devices might
      not be there yet.
    - Map devfs names to real devices in vg_all_free/do_option since lvm2
      tools don't like devfs names.
    - Create a separate /boot and a vg on the selected device.
    - Allign vg creation between vg_all_free and some_device_lvm.
    - Add notes on scheme manipulation.
    - Remove wrong call to clean_method in perform_recipe_by_lvm.
    - Fix device mapper naming.
    - Restart partman at the end of the process. This is required to get some
      LVM info right.
    - Add missing noheadings to LV_create.
    - Strip the decimal in LV_create.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 07 Jul 2005 08:53:36 +0200

partman-auto-lvm (2) unstable; urgency=low

  * Colin Watson
    - Change "new Debian system" to "new system" to help with derivative
      branding.
  * Updated translations:
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Guillem Jover
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (es.po) by Javier Fernández-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide
    - French (fr.po) by Christian Perrier
    - Gallegan (gl.po) by Jacobo Tarrio
    - Indonesian (id.po) by Arief S Fitrianto
    - Italian (it.po) by Giuseppe Sacco
    - Japanese (ja.po) by Kenshi Muto
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrişor
    - Russian (ru.po) by Yuri Kozlov
    - Slovak (sk.po) by Peter Mann
    - Albanian (sq.po) by Elian Myftiu
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Vietnamese (vi.po) by Clytie Siddall

 -- Colin Watson <cjwatson@debian.org>  Wed,  6 Jul 2005 11:57:42 +0100

partman-auto-lvm (1) unstable; urgency=low

  * Anton Zinoviev
    - initial version made at Debcamp 2004
  * Joey Hess
    - various bug fixes
  * Colin Watson
    - Lower priority to optional for now.

 -- Colin Watson <cjwatson@debian.org>  Mon, 23 May 2005 09:30:34 +0100

